Bug 195263 - gnome-panel crashes on startup
gnome-panel crashes on startup
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-14 12:46 EDT by Bob Glickstein
Modified: 2008-03-18 14:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-18 14:33:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 344330 None None None Never

  None (edit)
Description Bob Glickstein 2006-06-14 12:46:26 EDT
After upgrading to gnome-panel-2.14.2-1.fc5.1 (along with a handful of others),
gnome-panel now exits on startup with this assertion failure:

** ERROR **: file orbit-object.c: line 149 (do_unref): assertion failed:
(robj->refs < ORBIT_REFCOUNT_MAX && robj->refs > 0)

Version-Release number of selected component (if applicable):
2.14.2-1.fc5.1

How reproducible:
100%

Steps to Reproduce:
1. Launch gnome-panel
  
Actual results:
Panel gets partially populated, then posts the "unexpected quit" dialog.

Expected results:
No abrupt exit.

Additional info:
I found this relevant message in the fedora-test-list mailing-list archive:
http://www.redhat.com/archives/rhl-beta-list/2006-March/msg00170.html

Also, I captured this stack trace in gdb:

#0  0x00b32402 in __kernel_vsyscall ()
#1  0x00785069 in raise () from /lib/libc.so.6
#2  0x00786671 in abort () from /lib/libc.so.6
#3  0x00201c42 in g_logv () from /usr/lib/libglib-2.0.so.0
#4  0x00201c79 in g_log () from /usr/lib/libglib-2.0.so.0
#5  0x00201cf6 in g_assert_warning () from /usr/lib/libglib-2.0.so.0
#6  0x00bda910 in do_unref (robj=Variable "robj" is not available.
) at orbit-object.c:149
#7  0x00be4628 in CORBA_any__freekids (mem=0xbfdb7fe0, dat=0x0)
    at corba-any.c:757
#8  0x00bdf83a in CORBA_exception_free_T (ev=0xbfdb7fd8) at corba-env.c:14
#9  0x00bdf8c7 in CORBA_exception_free (ev=0xbfdb7fd8) at corba-env.c:29
#10 0x00bdf96c in CORBA_exception_set (ev=0xbfdb7fd8, 
    major=CORBA_SYSTEM_EXCEPTION, 
    except_repos_id=0xbfa55c "IDL:omg.org/CORBA/INV_OBJREF:1.0", 
    param=0x8be153c) at corba-env.c:114
#11 0x00bdfa33 in CORBA_exception_set_system (ev=0xbfdb7fd8, 
    except_repos_id=0xbfa55c "IDL:omg.org/CORBA/INV_OBJREF:1.0", 
    completed=CORBA_COMPLETED_NO) at corba-env.c:102
#12 0x00bdc50d in ORBit_small_invoke_stub (obj=0x0, m_data=0x474ef80, 
    ret=0xbfdb7f20, args=0x0, ctx=0x0, ev=0xbfdb7fd8) at orbit-small.c:597
#13 0x00bdc5fe in ORBit_small_invoke_stub_n (object=0x0, methods=0x474f2c4, 
    index=0, ret=0xbfdb7f20, args=0x0, ctx=0x0, ev=0xbfdb7fd8)
    at orbit-small.c:575
#14 0x00be8e22 in ORBit_c_stub_invoke (obj=0x0, methods=0x474f2c4, 
    method_index=0, ret=0xbfdb7f20, args=0x0, ctx=0x0, ev=0xbfdb7fd8, 
    class_id=0, method_offset=4, 
    skel_impl=0x4722b00 <_ORBIT_skel_small_Bonobo_Control_getProperties>)
    at poa.c:2643
#15 0x04727cde in Bonobo_Control_getProperties ()
   from /usr/lib/libbonobo-2.so.0
#16 0x04992b9f in bonobo_control_frame_get_control_property_bag ()
   from /usr/lib/libbonoboui-2.so.0
#17 0x08086512 in panel_applet_frame_sync_menu_state ()
#18 0x047108c1 in bonobo_moniker_util_parse_name ()
   from /usr/lib/libbonobo-2.so.0
#19 0x04710bff in bonobo_moniker_resolve_async_default ()
   from /usr/lib/libbonobo-2.so.0
#20 0x00bdb211 in async_recv_cb (aqe=0x8c43440) at orbit-small.c:1144
#21 0x00bd4d78 in giop_invoke_async (ent=0x8c43440) at giop.c:604
#22 0x00bd8366 in giop_connection_handle_input (lcnx=0x8ba7b10)
    at giop-recv-buffer.c:1111
#23 0x00bf5add in link_connection_io_handler (gioc=0x0, condition=Variable
"condition" is not available.
)
    at linc-connection.c:1367
#24 0x00bf88ae in link_source_dispatch (source=0x8c3b2a8, 
    callback=0xbf5a00 <link_connection_io_handler>, user_data=0x8ba7b10)
    at linc-source.c:159
#25 0x001f915d in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#26 0x001fc3ef in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#27 0x001fc799 in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#28 0x0053a634 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#29 0x08062dc7 in main ()

Also, here is an excerpt from my yum.log.  One of these updates, or a
combination of them, is probably the culprit.

Jun 09 09:26:20 Updated: glib2.i386 2.10.3-1
Jun 09 09:26:33 Updated: gtk2.i386 2.8.18-1
Jun 09 09:26:36 Updated: hal.i386 0.5.7-3.fc5.2
Jun 09 09:27:05 Updated: gnome-vfs2.i386 2.14.2-1
Jun 09 09:27:13 Updated: gnome-desktop.i386 2.14.2-1
Jun 09 09:27:21 Updated: evolution-data-server.i386 1.6.2-1.fc5.1
Jun 09 09:28:40 Updated: gnome-panel.i386 2.14.2-1.fc5.1
Jun 09 09:29:35 Updated: evolution.i386 2.6.2-1.fc5.5
Jun 09 09:30:24 Updated: gnome-utils.i386 1:2.14.0-4.fc5.2
Jun 09 09:31:14 Updated: gnome-media.i386 2.14.2-1
Jun 09 09:31:26 Updated: gnome-themes.noarch 2.14.2-1
Jun 09 09:31:29 Updated: glib2-devel.i386 2.10.3-1
Jun 09 09:31:54 Updated: gnome-applets.i386 1:2.14.2-1.fc5.1
Jun 09 09:32:08 Updated: totem.i386 1.4.1-1
Jun 09 09:32:22 Updated: gthumb.i386 2.7.7-1
Jun 09 09:32:33 Updated: dia.i386 1:0.95-4.fc5
Jun 09 09:32:40 Updated: planner.i386 0.13-4.4
Jun 09 09:32:41 Updated: procps.i386 3.2.6-3.4
Jun 09 09:32:51 Updated: eog.i386 2.14.2-1.fc5.1
Jun 09 09:32:55 Updated: evolution-connector.i386 2.6.2-1.fc5.4
Jun 09 09:32:55 Updated: gnome-vfs2-smb.i386 2.14.2-1
Jun 09 09:32:56 Updated: evolution-sharp.i386 0.10.2-9.3
Jun 09 09:33:04 Updated: evolution-webcal.i386 2.4.1-3.4
Jun 09 09:33:20 Updated: gnome-terminal.i386 2.14.2-1
Jun 09 09:33:28 Updated: gtk2-devel.i386 2.8.18-1
Jun 09 09:33:30 Updated: gnome-vfs2-devel.i386 2.14.2-1
Jun 09 09:33:32 Updated: policycoreutils.i386 1.30.10-1.fc5
Jun 09 09:35:22 Updated: gnome-games.i386 1:2.14.2-1
Jun 09 09:35:25 Updated: info.i386 4.8-9.2.fc5.1
Jun 09 09:35:26 Updated: module-init-tools.i386 3.2.2-0.FC5.3
Jun 09 09:35:36 Updated: gnome-session.i386 2.14.2-1
Jun 09 09:35:51 Updated: sound-juicer.i386 2.14.4-1.fc5.1
Jun 09 09:35:53 Updated: rsync.i386 2.6.8-1.FC5
Jun 09 09:35:54 Updated: gnome-sudoku.noarch 0.4.0-5.fc5
Jun 09 09:35:58 Updated: dovecot.i386 1.0-0.beta8.1.fc5
Jun 09 09:36:04 Updated: gnome-themes-extras.noarch 0.9.0-3.fc5
Jun 09 19:13:10 Updated: libgnome.i386 2.14.1-1.fc5.1
Jun 09 19:13:17 Updated: libgnomeui.i386 2.14.1-1.fc5.1
Jun 09 19:13:19 Updated: libgnome-devel.i386 2.14.1-1.fc5.1
Jun 09 19:14:07 Updated: control-center.i386 1:2.14.2-1
Jun 09 19:14:11 Updated: libgnomeui-devel.i386 2.14.1-1.fc5.1
Comment 1 Bob Glickstein 2006-06-14 13:30:02 EDT
Of the yum updates I listed, I tried reverting with the following older RPMs:

control-center-2.14.1-1.fc5.2.i386.rpm
evolution-2.6.1-1.fc5.2.i386.rpm
evolution-connector-2.6.1-1.fc5.1.i386.rpm
evolution-data-server-1.6.1-1.fc5.2.i386.rpm
evolution-sharp-0.10.2-9.i386.rpm
evolution-webcal-2.4.1-3.2.i386.rpm
glib2-2.10.2-1.fc5.1.i386.rpm
glib2-devel-2.10.2-1.fc5.1.i386.rpm
gnome-applets-2.14.1-1.fc5.1.i386.rpm
gnome-desktop-2.14.1.1-1.fc5.1.i386.rpm
gnome-games-2.14.1-1.fc5.3.i386.rpm
gnome-media-2.14.0-2.i386.rpm
gnome-panel-2.14.1-1.fc5.1.i386.rpm
gnome-panel-devel-2.14.1-1.fc5.1.i386.rpm
gnome-session-2.14.1-1.fc5.1.i386.rpm
gnome-themes-2.14.0-1.noarch.rpm
gnome-utils-2.14.0-4.fc5.1.i386.rpm
gnome-vfs2-2.14.1-1.fc5.2.i386.rpm
gnome-vfs2-devel-2.14.1-1.fc5.2.i386.rpm
gnome-vfs2-smb-2.14.1-1.fc5.2.i386.rpm
gtk2-2.8.17-1.fc5.1.i386.rpm
gtk2-devel-2.8.17-1.fc5.1.i386.rpm
libgnome-2.14.0-1.i386.rpm
libgnome-devel-2.14.0-1.i386.rpm
libgnomeui-2.14.0-1.i386.rpm
libgnomeui-devel-2.14.0-1.i386.rpm

(I also removed gnome-themes-extras altogether.)  But the bug remains, and the
RPMs that I didn't revert (such as dia, module-init-tools, etc.) strike me as
highly unlikely to be related to the bug.  So the problem must lie somewhere else...
Comment 2 Bob Glickstein 2006-06-16 14:12:00 EDT
EUREKA.  When I noticed that (according to the call stack) Bonobo was calling
ORBit with a null object, I inspected my panel configuration using gconf-editor.
 Sure enough, I found an applet -- /apps/panel/applet_3 in gconf -- with no
properties, but with some settings in /apps/panel/applet_3/prefs that made it
look like it was once something pilot-related.  I removed the
appls/panel/applets/applet_3 subtree from my $HOME/.gconf directory, then
renamed applet_4 to applet_3 just in case.  (A change that I then reflected in
apps/panel/%gconf.xml.)

After launching a new session (to get a new gconfd instance), all was well.

I presume that one of my many software updates must have left that applet config
in a bad state.  It might be worth putting some code into gnome-panel to defend
against this condition.

[This comment duplicated in http://bugzilla.gnome.org/show_bug.cgi?id=344330.]
Comment 3 Ray Strode [halfline] 2008-03-18 14:33:31 EDT
Hi,

We no longer support Fedora Core 5 and I am currently trying to get my open bug
count down to a more manageable state.  I'm going to close this bug as WONTFIX.
 If this issue is still a concern for you, would you mind trying to reproduce on
a supported version of Fedora and reopening?

(this is a mass message)

Note You need to log in before you can comment on or make changes to this bug.